Package pygccxml :: Package parser

# Package parser

source code

Parser sub-package.

Submodules

- pygccxml.parser.config: This module contains the implementation of the config_t class.
- pygccxml.parser.declarations_cache
- pygccxml.parser.directory_cache: Directory cache implementation.
- pygccxml.parser.etree_scanner
- pygccxml.parser.linker
- pygccxml.parser.patcher
- pygccxml.parser.project_reader
- pygccxml.parser.scanner
- pygccxml.parser.source_reader

Functions

parse(files, config=None, compilation_mode=`'``file by file``'`, cache=None) Parse header files. | source code

parse_string(content, config=None) | source code

parse_xml_file(content, config=None) | source code

Function Details

### parse(files, config=None, compilation_mode=`'``file by file``'`, cache=None)

source code

Parse header files.

Parameters:
  - `files` (list of str) - The header files that should be parsed
  - `config` (config_t) - Configuration object or None
  - `compilation_mode` (COMPILATION_MODE) - Determines whether the files are parsed individually or as one single chunk
  - `cache` (cache_base_t or str) - Declaration cache (None=no cache)
Returns:
  Declarations